package com.qryord.project.business.query.mapper;

import com.qryord.project.business.query.domain.TQuery;

import java.util.List;

/**
 * 查询履历Mapper接口
 * 
 * @author ruoyi
 * @date 2022-08-06
 */
public interface TQueryMapper 
{
    /**
     * 查询查询履历
     * 
     * @param id 查询履历主键
     * @return 查询履历
     */
    public TQuery selectTQueryById(Long id);

    /**
     * 查询查询履历列表
     * 
     * @param tQuery 查询履历
     * @return 查询履历集合
     */
    public List<TQuery> selectTQueryList(TQuery tQuery);

    /**
     * 新增查询履历
     * 
     * @param tQuery 查询履历
     * @return 结果
     */
    public int insertTQuery(TQuery tQuery);

    /**
     * 修改查询履历
     * 
     * @param tQuery 查询履历
     * @return 结果
     */
    public int updateTQuery(TQuery tQuery);

    /**
     * 删除查询履历
     * 
     * @param id 查询履历主键
     * @return 结果
     */
    public int deleteTQueryById(Long id);

    /**
     * 批量删除查询履历
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTQueryByIds(String[] ids);
}
